### Method

# Foundry GitCloner clone

#### Declaration [src]

    DexFuture*
    foundry_git_cloner_clone (
      FoundryGitCloner* self,
      int pty_fd,
      FoundryOperation* operation
    )

#### Description [src]

`pty_fd` is copied and may be closed after calling this function.

#### Parameters

`pty_fd`

  Type: `int`

  The FD for a PTY, or -1.

`operation`

  Type: `FoundryOperation`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.